package com.chelvc.framework.database.listener;

import java.util.Collection;

import com.chelvc.framework.common.util.ObjectUtils;

/**
 * 数据新增操作监听器接口
 *
 * @param <T> 数据类型
 * @author Woody
 * @date 2024/4/30
 */
public interface AddListener<T> extends OperateListener<T> {
    /**
     * 监听数据新增
     *
     * @param entity 对象实例
     */
    default void add(T entity) {
    }

    /**
     * 监听数据批量新增
     *
     * @param entities 对象实例集合
     */
    default void add(Collection<T> entities) {
        if (ObjectUtils.notEmpty(entities)) {
            entities.forEach(this::add);
        }
    }
}
